public inbox for cluster-cvs@sourceware.org
help / color / mirror / Atom feed
* cluster: STABLE3 - cman init: readd support for fence_xvmd standalone operations
@ 2009-06-30 10:13 Fabio M. Di Nitto
  0 siblings, 0 replies; only message in thread
From: Fabio M. Di Nitto @ 2009-06-30 10:13 UTC (permalink / raw)
  To: cluster-cvs-relay

Gitweb:        http://git.fedorahosted.org/git/cluster.git?p=cluster.git;a=commitdiff;h=8bd2da7c40ffc74f8ec8c0d0026b1ae1936611c1
Commit:        8bd2da7c40ffc74f8ec8c0d0026b1ae1936611c1
Parent:        87076cf3354bdacdabe9fddf9b43b6080e33bca0
Author:        Fabio M. Di Nitto <fdinitto@redhat.com>
AuthorDate:    Tue Jun 30 12:12:20 2009 +0200
Committer:     Fabio M. Di Nitto <fdinitto@redhat.com>
CommitterDate: Tue Jun 30 12:12:20 2009 +0200

cman init: readd support for fence_xvmd standalone operations

for some reason this patch was lost. Readd it.

Signed-off-by: Fabio M. Di Nitto <fdinitto@redhat.com>
---
 cman/init.d/cman.in |   23 ++++++++++++++++++++++-
 1 files changed, 22 insertions(+), 1 deletions(-)

diff --git a/cman/init.d/cman.in b/cman/init.d/cman.in
index 7e55705..e48300d 100644
--- a/cman/init.d/cman.in
+++ b/cman/init.d/cman.in
@@ -640,6 +640,12 @@ start()
 
 	echo $echoarg "Starting cluster: "
 
+	runwrap start_fence_xvmd \
+		fence_xvmd_standalone \
+		"Starting virtual machine fencing host (standalone)"
+
+	fence_xvmd_standalone && exit 0
+
 	runwrap start_global \
 		none \
 		"Global setup"
@@ -710,6 +716,12 @@ stop()
 	echo $echoarg "Stopping cluster: "
 
 	runwrap stop_fence_xvmd \
+		fence_xvmd_standalone \
+		"Stopping virtual machine fencing host (standalone)"
+
+	fence_xvmd_standalone && exit 0
+
+	runwrap stop_fence_xvmd \
 		fence_xvmd_enabled \
 		"Stopping virtual machine fencing host"
 
@@ -756,6 +768,11 @@ stop()
 
 cmanstatus()
 {
+	if fence_xvmd_standalone; then
+		errmsg=$( status fence_xvmd 2>&1 ) || return 1
+		return 0
+	fi
+
 	errmsg=$( status corosync 2>&1 ) || return 1
 
 	if ! cman_running; then
@@ -810,7 +827,11 @@ restart|reload)
 ;;
 status)
 	if cmanstatus; then
-		echo "cluster is running."
+		if fence_xvmd_standalone; then
+			echo "fence_xvmd standalone is running."
+		else
+			echo "cluster is running."
+		fi
 	else
 		echo $errmsg
 		rtrn=1


^ permalink raw reply	[flat|nested] only message in thread

only message in thread, other threads:[~2009-06-30 10:13 UTC | newest]

Thread overview: (only message) (download: mbox.gz / follow: Atom feed)
-- links below jump to the message on this page --
2009-06-30 10:13 cluster: STABLE3 - cman init: readd support for fence_xvmd standalone operations Fabio M. Di Nitto

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox;
as well as URLs for read-only IMAP folder(s) and NNTP newsgroup(s).